## ros-rolling-canopen-ros2-control 0.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(canopen_ros2_control)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
set(THIS_PACKAGE_INCLUDE_DEPENDS
  canopen_402_driver
  canopen_core
  canopen_proxy_driver
  hardware_interface
  pluginlib
  rclcpp
  rclcpp_components
  rclcpp_lifecycle
)

find_package(ros2_control_test_assets)
find_package(ament_cmake_gmock REQUIRED)

find_package(ament_cmake REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

add_library(
  canopen_ros2_control
  SHARED
  src/canopen_system.cpp
  src/cia402_system.cpp
  src/robot_system.cpp
)



target_compile_features(canopen_ros2_control PUBLIC c_std_99 cxx_std_17)  # Require C99 and C++17
target_compile_options(canopen_ros2_control PUBLIC -fPIC -Wl,--no-undefined)

target_include_directories(canopen_ros2_control PUBLIC include)
ament_target_dependencies(canopen_ros2_control ${THIS_PACKAGE_INCLUDE_DEPENDS})

# prevent pluginlib from using boost
target_compile_definitions(canopen_ros2_control PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

pluginlib_export_plugin_description_file(hardware_interface canopen_ros2_control.xml)

install(
  TARGETS
  canopen_ros2_control
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

install(
  DIRECTORY include/
  DESTINATION include
)

if(BUILD_TESTING)
  #find_package(ament_cmake_gmock REQUIRED)
  #find_package(ros2_control_test_assets REQUIRED)

  #ament_add_gmock(test_canopen_system test/test_canopen_system.cpp)
  #target_include_directories(test_canopen_system PRIVATE include)
  #ament_target_dependencies(
    #test_canopen_system ${THIS_PACKAGE_INCLUDE_DEPENDS} ros2_control_test_assets)
endif()

ament_export_include_directories(
  include
)
ament_export_libraries(
  canopen_ros2_control
)
ament_export_dependencies(
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

ament_package()

=== debian/changelog ===
ros-rolling-canopen-ros2-control (0.2.7-1jammy) jammy; urgency=high

  * Correct Proxy controller after changes and update tests.
  * Contributors: Dr. Denis, Christoph Hellmann Santos

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Thu, 29 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.6-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Fri, 23 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.5-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Thu, 22 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.4-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.3-1jammy) jammy; urgency=high

  * Solve buildfarm issues
  * Contributors: Christoph Hellmann Santos

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.2-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.1-1jammy) jammy; urgency=high

  * Use consistenlty (uppercase) HEX output for NodeID and Index.
  * Contributors: Christoph Hellmann Santos, Denis Štogl

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.0-1jammy) jammy; urgency=high

  * Created package
  * Contributors: Błażej Sowa, Christoph Hellmann Santos, Denis Štogl, Lovro, Vishnuprasad Prachandabhanu, livanov93

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Tue, 13 Jun 2023 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-canopen-ros2-control
Section: misc
Priority: optional
Maintainer: Lovro Ivanov <lovro.ivanov@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-canopen-402-driver, ros-rolling-canopen-core, ros-rolling-canopen-proxy-driver, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rclcpp-lifecycle, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-canopen-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-canopen-402-driver, ros-rolling-canopen-core, ros-rolling-canopen-proxy-driver, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-workspace
Description: ros2_control wrapper for ros2_canopen functionalities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-canopen-ros2-control//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
